LINUX.ORG.RU

Qt не могу собрать драйвер PostgreSQL

 , ,


0

1

Доброго времени суток! Помогаю знакомому с его курсовым, а у него приложение QT работающее на Linux, обращающееся к базе PostgreSQL.

Как оказалось, с QT эти драйвера не поставляются. Устанавливал в Ubuntu через пакетный менеджер. Также установил пакет postgresql-9.1(object-relational SQL database, version 9.1 server)

Нашел в в интернете инструкцию, где написано:

cd $QTDIR/src/plugins/sqldrivers/psql

qmake "INCLUDEPATH+=/usr/include/pgsql" "LIBS+=-L/usr/lib -lpq" psql.pro

 make
при попытке выполнить первую инструкцию в терминале, мне выдается:

bash: cd: /src/plugins/sqldrivers/psql: Нет такого файла или каталога

в каталоге /usr/include/ нет каталога pgsql

Может я суть не уловил, как это нужно делать?

Инструкцию брал с doc.crossplatform.ru/

Ответ на: комментарий от JackYF

Огромное Вас спасибо! Вы мне сэкономили кучу времени и нервов. А я еще удивлялся, почему нельзя сделать просто пакетом)

Просто в винде на сборку драйвера MySQL кучу времени убил)

gwyllum ()

И на будущее:

bash: cd: /src/plugins/sqldrivers/psql: Нет такого файла или каталога

внезапно говорит о том, что переменная $QTDIR не определена.

solovey ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.